Craba is a method call component for custom communication.

## Usage

```dart
// create a craba
final craba = Craba((message) async{
    // send message
});
```
```dart
//when message received.call:
craba.receive(message);
```
``` dart
// register handle
craba.on('ping', (param, cancelable, notify)=>'pong');
```
``` dart
// emit
await craba.emit('hello');
```

``` dart
// deliver
await craba.deliver('download', param: '/path', onNotify: (param){

});
```
